"use strict";
const common_vendor = require("../../../common/vendor.js");
const gen_Enums = require("../../../gen/Enums.js");
const ME_instrument_list_method = require("./method.js");
const ME_instrument_list_model = require("./model.js");
require("../../../common/libraries/apiLoading.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/store/useWatermarkStore.js");
require("../../../common/store/useWorkStore.js");
if (!Array) {
  const _easycom_hs_tabs2 = common_vendor.resolveComponent("hs-tabs");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_up_search2 = common_vendor.resolveComponent("up-search");
  const _easycom_hs_radio2 = common_vendor.resolveComponent("hs-radio");
  const _easycom_cc_scroll_loading2 = common_vendor.resolveComponent("cc-scroll-loading");
  (_easycom_hs_tabs2 + _easycom_uni_icons2 + _easycom_up_search2 + _easycom_hs_radio2 + _easycom_cc_scroll_loading2)();
}
const _easycom_hs_tabs = () => "../../../components/hs-tabs/hs-tabs.js";
const _easycom_uni_icons = () => "../../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_up_search = () => "../../../node-modules/uview-plus/components/u-search/u-search.js";
const _easycom_hs_radio = () => "../../../components/hs-radio/hs-radio.js";
const _easycom_cc_scroll_loading = () => "../../../common/components/cc-scroll-loading/cc-scroll-loading.js";
if (!Math) {
  (_easycom_hs_tabs + _easycom_uni_icons + _easycom_up_search + _easycom_hs_radio + HouseAreaList + SharedAreaList + _easycom_cc_scroll_loading)();
}
const HouseAreaList = () => "./components/HouseAreaList.js";
const SharedAreaList = () => "./components/SharedAreaList.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const tablist = [
      { label: "房屋表", value: "HouseMeter" },
      { label: "公摊表", value: "CommonMeter" }
    ];
    const instrument_day_num = [
      {
        label: "超30天未抄表",
        value: "30",
        color: "#0082FA"
      },
      {
        label: "超60天未抄表",
        value: "60",
        color: "#FF8F26"
      },
      {
        label: "超90天未抄表",
        value: "90",
        color: "#DF3600"
      }
    ];
    const HouseMetersUsageTypeEnumList = {
      all: {
        text: "全部",
        value: ""
      },
      ...gen_Enums.HouseMetersUsageTypeEnum
    };
    common_vendor.onLoad((e) => {
      ME_instrument_list_model.useModel.formData.value.asset_projects_id = e == null ? void 0 : e.id;
    });
    common_vendor.onShow(() => {
      var _a, _b, _c, _d;
      ME_instrument_list_model.useModel.formData.value.page = 1;
      if (!((_c = (_b = (_a = ME_instrument_list_model.useModel) == null ? void 0 : _a.listData) == null ? void 0 : _b.value) == null ? void 0 : _c.length)) {
        (_d = ME_instrument_list_method.method) == null ? void 0 : _d.getMenuList();
      }
    });
    common_vendor.onUnload(() => {
      ME_instrument_list_model.useModel.currentTabs.value = 0;
      ME_instrument_list_model.useModel.listData.value = [];
      ME_instrument_list_model.useModel.formData.value = { page: 1, keyword: "", meter_type: "HouseMeter" };
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _A, _B;
      return common_vendor.e({
        a: common_vendor.o((_a = common_vendor.unref(ME_instrument_list_method.method)) == null ? void 0 : _a.handleChangeTabs),
        b: common_vendor.p({
          list: tablist,
          current: (_c = (_b = common_vendor.unref(ME_instrument_list_model.useModel)) == null ? void 0 : _b.currentTabs) == null ? void 0 : _c.value
        }),
        c: common_vendor.p({
          type: "right",
          size: "13",
          color: "#333"
        }),
        d: common_vendor.o(($event) => {
          var _a2;
          return (_a2 = common_vendor.unref(ME_instrument_list_method.method)) == null ? void 0 : _a2.handleToLog();
        }),
        e: (_e = (_d = common_vendor.unref(ME_instrument_list_model.useModel)) == null ? void 0 : _d.currentTabs) == null ? void 0 : _e.value
      }, ((_g = (_f = common_vendor.unref(ME_instrument_list_model.useModel)) == null ? void 0 : _f.currentTabs) == null ? void 0 : _g.value) ? {
        f: common_vendor.o((_h = common_vendor.unref(ME_instrument_list_method.method)) == null ? void 0 : _h.handleSearch),
        g: common_vendor.o(($event) => common_vendor.unref(ME_instrument_list_model.useModel).formData.value.keyword = $event),
        h: common_vendor.p({
          ["show-action"]: false,
          placeholder: "仪表名称",
          modelValue: common_vendor.unref(ME_instrument_list_model.useModel).formData.value.keyword
        })
      } : {}, {
        i: common_vendor.o((_i = common_vendor.unref(ME_instrument_list_method.method)) == null ? void 0 : _i.handleChangeUsageTypeFilter),
        j: common_vendor.o(($event) => common_vendor.unref(ME_instrument_list_model.useModel).formData.value.usage_type = $event),
        k: common_vendor.p({
          Enums: HouseMetersUsageTypeEnumList,
          modelValue: common_vendor.unref(ME_instrument_list_model.useModel).formData.value.usage_type
        }),
        l: common_vendor.f(instrument_day_num, (i, index, i0) => {
          var _a2, _b2, _c2;
          return {
            a: i == null ? void 0 : i.color,
            b: common_vendor.t(i == null ? void 0 : i.label),
            c: `instrument_day_num_${index}`,
            d: common_vendor.n(`filter_day_item ${((_c2 = (_b2 = (_a2 = common_vendor.unref(ME_instrument_list_model.useModel)) == null ? void 0 : _a2.formData) == null ? void 0 : _b2.value) == null ? void 0 : _c2.overdue_days) === (i == null ? void 0 : i.value) ? "filter_day_item_active" : ""}`),
            e: common_vendor.o(($event) => {
              var _a3;
              return (_a3 = common_vendor.unref(ME_instrument_list_method.method)) == null ? void 0 : _a3.handleChangeOverdueDaysFilter(i);
            }, `instrument_day_num_${index}`)
          };
        }),
        m: common_vendor.n(`header ${!((_k = (_j = common_vendor.unref(ME_instrument_list_model.useModel)) == null ? void 0 : _j.currentTabs) == null ? void 0 : _k.value) ? "header_two" : ""}`),
        n: !((_m = (_l = common_vendor.unref(ME_instrument_list_model.useModel)) == null ? void 0 : _l.currentTabs) == null ? void 0 : _m.value)
      }, !((_o = (_n = common_vendor.unref(ME_instrument_list_model.useModel)) == null ? void 0 : _n.currentTabs) == null ? void 0 : _o.value) ? {
        o: common_vendor.f((_q = (_p = common_vendor.unref(ME_instrument_list_model.useModel)) == null ? void 0 : _p.listMenuData) == null ? void 0 : _q.value, (i, index, i0) => {
          var _a2, _b2, _c2;
          return {
            a: common_vendor.t(i == null ? void 0 : i.asset_buildings_name),
            b: common_vendor.t(i == null ? void 0 : i.name),
            c: `menu_item_${index}`,
            d: common_vendor.n(`menu_item ${((_c2 = (_b2 = (_a2 = common_vendor.unref(ME_instrument_list_model.useModel)) == null ? void 0 : _a2.formData) == null ? void 0 : _b2.value) == null ? void 0 : _c2.asset_units_id) === (i == null ? void 0 : i.id) ? "menu_item_active" : ""}`),
            e: common_vendor.o(($event) => {
              var _a3;
              return (_a3 = common_vendor.unref(ME_instrument_list_method.method)) == null ? void 0 : _a3.handleChangeFilter({
                asset_units_id: i == null ? void 0 : i.id
              });
            }, `menu_item_${index}`)
          };
        })
      } : {}, {
        p: !((_s = (_r = common_vendor.unref(ME_instrument_list_model.useModel)) == null ? void 0 : _r.currentTabs) == null ? void 0 : _s.value)
      }, !((_u = (_t = common_vendor.unref(ME_instrument_list_model.useModel)) == null ? void 0 : _t.currentTabs) == null ? void 0 : _u.value) ? {} : {}, {
        q: common_vendor.o((_v = common_vendor.unref(ME_instrument_list_method.method)) == null ? void 0 : _v.handleLoad),
        r: common_vendor.p({
          meta: (_x = (_w = common_vendor.unref(ME_instrument_list_model.useModel)) == null ? void 0 : _w.metaData) == null ? void 0 : _x.value
        }),
        s: common_vendor.n(`${!((_z = (_y = common_vendor.unref(ME_instrument_list_model.useModel)) == null ? void 0 : _y.currentTabs) == null ? void 0 : _z.value) ? "work_item_content" : ""}`),
        t: common_vendor.n(`work_contents ${!((_B = (_A = common_vendor.unref(ME_instrument_list_model.useModel)) == null ? void 0 : _A.currentTabs) == null ? void 0 : _B.value) ? "work_contents_two" : ""}`)
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/ME/instrument/list/index.vue"]]);
wx.createPage(MiniProgramPage);
